function get_mats_fig3(m)

%~=get_mats_fig3(m)
%written for cluster, performs filter estimation with noisy observations
%
%Input  
%		m  string index for cluster
%Output 
%		saves fig3_*.mat contain all A_lambda for lambda=1,0.1,...,10^-14
%
%Example
%for k=1:3600
%           get_res-fig3(str(k)) 
%end



RT60=250;
Ts=5*(100*(1:30));
penas=[1 4];
md=str2num(m);
ids=[3 4 5 6 7 8];
[id_b idpena t wv]=ind2sub([6 2 30 10],md);
id_bruit=ids(id_b);
pena=penas(idpena);
%mixn=int2str(str2int(mixstr)+10);
T=Ts(t);%T=2^10;
load('3sources_250ms_1m_filt')
Aind=A;
clear A;
wvstr=int2str(wv+10);
for k=1:3
ks = num2str(k);
s = wavread(['mix' wvstr '_s' ks '.wav']);
Sinf(k,:) =  s(1:T)';
end
X = creation_mel_conv(Aind,Sinf);
W=randn(size(X));
niv_bruit=10^-(id_bruit/2);
W=niv_bruit*norm(X)/norm(W)*W;
Xorig=X;
X=X+W;
niveau_bruit_db=SRRA(Xorig,X);
kuser=100;
switch pena
case 6
[hatA hatAs itplot options]=A_welasso_0(RT60,Aind,X,Sinf);
otherwise
[hatA hatAs itplot cdt]=A_welasso_5pen(RT60,Aind,X,Sinf,pena);
end
'job received'
save(strcat('fig3_',m))
'saved'
end


% Written by Alexis Benichoux, 2011